# oneview_fcoe_network – Manage OneView FCoE Network resources

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Provides an interface to manage FCoE Network resources. Can create, update, or delete.

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 4.0.0

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

config
path

Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.

data - / required |  | List with FCoE Network properties.

state
-

Choices:
- present ←
- absent

Indicates the desired state for the FCoE Network resource. `present` will ensure data properties are compliant with OneView. `absent` will remove the resource from OneView, if it exists.

validate_etag
boolean

Choices:
- no
- yes ←

When the ETag Validation is enabled, the request will be conditionally processed only if the current ETag for the resource matches the ETag provided in the data.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Ensure that FCoE Network is present using the default configuration
      oneview_fcoe_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          name: Test FCoE Network
          vlanId: 201
      delegate_to: localhost

    - name: Update the FCOE network scopes
      oneview_fcoe_network:
        config: '/etc/oneview/oneview_config.json'
        state: present
        data:
          name: New FCoE Network
          scopeUris:
            - '/rest/scopes/00SC123456'
            - '/rest/scopes/01SC123456'
      delegate_to: localhost

    - name: Ensure that FCoE Network is absent
      oneview_fcoe_network:
        config: '/etc/oneview/oneview_config.json'
        state: absent
        data:
          name: New FCoE Network
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
fcoe_network dictionary | On state 'present'. Can be null. | Has the facts about the OneView FCoE Networks.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.